**********
* PCRECL *
**********
@ 7,20 SAY "HET KOSTENOVERZICHT WORDT NU AFGEDRUKT."
@ 8,0
* Dit programma drukt een calculatieoverzicht af voor het huidige
* produktienummer. 
* De normale ingang is de variabele cupr:prod die de string bevat
* van het gewenste productienummer.
STORE 66 TO maxline
SET EXACT ON
SELECT PRIMARY
USE &opdracht INDEX &opdracht
FIND &cur:prod
SET FORMAT TO PRINT
SELECT SECONDARY
STORE 0 TO m:oplage
USE &oplage INDEX &oplage
FIND &cur:prod
DO WHILE (cur:prod = prod:nr) .AND. (.NOT. EOF)
   STORE m:oplage + aant:gel TO m:oplage
   SKIP +1
ENDDO
USE
STORE 0 TO subtotaal
STORE 0 TO totaal
IF m:oplage = 0
   STORE 0 TO factor
ELSE
   STORE 1000 / m:oplage TO factor
ENDIF
USE &calcdat INDEX &calcdat
FIND &cur:prod
SELECT PRIMARY
@ 3,11 SAY 'AKTUELE KOSTEN'
@ 3,43 SAY 'PRODUKTIENUMMER: ' +$(cur:prod,1,2) + '/' + $(cur:prod,3,5)
@ 3,70 SAY "NO. C'SCHEMA: " + STR(nr:camp,3)
@ 4,11 SAY '=============='
@ 5,57 SAY 'DATUM: ' + sysdate
@ 7,11 SAY 'OPLAGE: ' + STR(m:oplage,9)
@ 7,56 SAY '  TOTAAL'
@ 7,73 SAY '  PER 1000'
@ 8,56 SAY '------------'
@ 8,73 SAY '------------'
@ 10,11 SAY 'VOORBEREIDINGSKOSTEN'
@ 10,40 SAY 'WERKTEKENING:'
@ 10,56 SAY 'f ' + STR(VAL($(s.werk:tek,26,10)),10,2)
@ 12,40 SAY 'ZETWERK     :'
@ 12,56 SAY 'f ' + STR(VAL($(s.zetwerk,26,10)),10,2)
@ 14,40 SAY "FOTO'S      :"
@ 14,56 SAY 'f ' + STR(VAL($(s.fotos,26,10)),10,2)
@ 16,40 SAY "LITHO'S     :"
@ 16,56 SAY 'f ' + STR(VAL($(s.lithos,26,10)),10,2)
@ 18,56 SAY '------------'
STORE VAL($(s.werk:tek,26,10)) + VAL($(s.zetwerk,26,10)) + ;
      VAL($(s.fotos,26,10)) + VAL($(s.lithos,26,10)) TO subtotaal
STORE subtotaal TO totaal
@ 20,40 SAY 'SUBTOTAAL   :'
@ 20,56 SAY 'f ' + STR(subtotaal,10,2)
@ 20,73 SAY 'f ' + STR(subtotaal * factor,10,2)
@ 23,11 SAY 'PRODUKTIEKOSTEN'
@ 23,40 SAY 'DRUK        :'
@ 23,56 SAY 'f ' + STR(VAL($(s.drukker,26,10)),10,2)
@ 25,40 SAY 'PAPIER      :'
@ 25,56 SAY 'f ' + STR(VAL($(s.papier,26,10)),10,2)
@ 27,40 SAY 'NABEWERKING :'
@ 27,56 SAY 'f ' + STR(VAL($(s.nabewerk,26,10)),10,2)
@ 29,56 SAY '-------------'
STORE VAL($(s.drukker,26,10)) + VAL($(s.papier,26,10)) + ;
      VAL($(s.nabewerk,26,10)) TO subtotaal
STORE totaal + subtotaal TO totaal
@ 31,40 SAY 'SUBTOTAAL   :'
@ 31,56 SAY 'f ' + STR(subtotaal,10,2)
@ 31,73 SAY 'f ' + STR(subtotaal * factor,10,2)
@ 33,40 SAY 'TOTAAL      :'
@ 33,56 SAY 'f ' + STR(totaal,10,2)
@ 33,73 SAY 'f ' + STR(totaal * factor,10,2)
@ 35,56 SAY '============='
@ 35,73 SAY '============='
@ 36,0 SAY " "
SET FORMAT TO SCREEN
USE
SELECT SECONDARY 
USE
SELECT PRIMARY
RETURN
*
* EINDE PROGRAMMA
*
